-- 基础信息
base_info = {
	group_id = 111102008
}

-- DEFS_MISCS
local	defs = {

		--左右旋转的SelectOptionID
		selectID_horizon = 54,

		--上下俯仰的SelectOptionID
		selectID_vertical = 55,

		--定义左右旋转的步长,key为传音花configID，value为旋转角对应的GadgetState
--GadgetState不可重复
		horizon_steps = {
			[8001] = {0, 102, 103, 104},
			[8003] = {0,103},
			[8005] = {0, 102, 103, 104,105},
		},

		--定义上下俯仰的步长,key为传音花configID，value为旋转角对应的GadgetState
--GadgetState不可重复
		vertical_steps = {
			[8006] = {0, 302, 303, 304, 305,307,306},
			[8004] = {0, 302, 303, 304, 305,307,306},
		}
	}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	[8001] = { config_id = 8001, gadget_id = 70310167, pos = { x = 1626.098, y = 244.344, z = -1630.211 }, rot = { x = 0.000, y = 272.821, z = 0.000 }, level = 1, worktop_config = { init_options = { 54 } } },
	[8002] = { config_id = 8002, gadget_id = 70310170, pos = { x = 1626.512, y = 244.920, z = -1622.739 }, rot = { x = 0.000, y = 99.760, z = 0.000 }, level = 1 },
	[8003] = { config_id = 8003, gadget_id = 70310167, pos = { x = 1634.232, y = 244.471, z = -1623.516 }, rot = { x = 0.000, y = 181.868, z = 0.000 }, level = 1, worktop_config = { init_options = { 54 } } },
	[8004] = { config_id = 8004, gadget_id = 70310166, pos = { x = 1641.315, y = 244.617, z = -1615.109 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, worktop_config = { init_options = { 55 } } },
	[8005] = { config_id = 8005, gadget_id = 70310171, pos = { x = 1625.250, y = 244.279, z = -1633.319 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, interact_id = 64 },
	[8006] = { config_id = 8006, gadget_id = 70310167, pos = { x = 1634.567, y = 244.961, z = -1615.518 }, rot = { x = 0.000, y = 101.671, z = 0.000 }, level = 1, worktop_config = { init_options = { 55 } } },
	[8007] = { config_id = 8007, gadget_id = 70310187, pos = { x = 1634.169, y = 244.564, z = -1629.939 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	[8008] = { config_id = 8008, gadget_id = 70310170, pos = { x = 1625.190, y = 244.306, z = -1637.226 }, rot = { x = 0.000, y = 277.524, z = 0.000 }, level = 1 },
	[8009] = { config_id = 8009, gadget_id = 70310170, pos = { x = 1615.012, y = 245.083, z = -1636.503 }, rot = { x = 0.000, y = 182.733, z = 0.000 }, level = 1 },
	[8010] = { config_id = 8010, gadget_id = 70310170, pos = { x = 1618.036, y = 245.495, z = -1630.449 }, rot = { x = 0.000, y = 182.733, z = 0.000 }, level = 1 },
	[8011] = { config_id = 8011, gadget_id = 70310186, pos = { x = 1617.223, y = 244.059, z = -1646.342 }, rot = { x = 0.000, y = 8.685, z = 0.000 }, level = 1 }
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 8001, 8002, 8003, 8004, 8005, 8006, 8007, 8008, 8009, 8010, 8011 },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_8/TransferFlower"
